Retrieve a webhook endpoint
Retrieve one webhook endpoint by id (no signingsecret).
GET
Retrieve one webhook endpoint by id (no signing_secret). Requires the manage:webhooks scope, which is a dashboard-session scope and cannot be granted to API keys today: every mf_ API key receives 403. Call this endpoint with a dashboard session token (owner, admin, or member).
Loading code example
Loading code example
Authorizations
Authorizationstringheaderrequired
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
idstringrequired
The webhook endpoint id (`whk_…`).
Response
application/json
The webhook endpoint.
object"webhook"requiredAllowed values:
"webhook"idstringrequiredurlstringrequiredeventsarray<"email.delivered" | "email.bounced" | "email.complained" | "email.failed" | "email.delivery_delayed" | "email.opened" | "email.clicked" | "email.suppressed">requiredstatus"enabled" | "disabled"requiredAllowed values:
"enabled" | "disabled"created_atstring<date-time>required